Package twisted :: Package protocols :: Module ftp :: Class FTPAnonymousShell

[frames | no frames]

## Class FTPAnonymousShell

    object --+
             |
            FTPAnonymousShell

Only works on POSIX platforms at the moment.

Method Summary
| ``__init__`(self, user, tld)` Constructor
| `cdup(self)`
| `cwd(self, path)`
| `dele(self, path)`
| ``getUnixLongListString`(self, spath)` generates the equivalent output of a unix ls -l path, but using python-native code.
| ``getUserUIDAndGID`(self)` used to set up permissions checking.
| `list(self, path)`
| `mapCPathToSPath(self, rpath)`
| `mdtm(self, path)`
| `mkd(self, path)`
| ``myjoin`(self, lpath, rpath)` does a dumb join between two path elements, ensuring there is only one '/' between them.
| `nlist(self, path)`
| `pwd(self)`
| `retr(self, path)`
| `rmd(self, path)`
| ``size`(self, path)` returns the size in bytes of path
| `stor(self, params)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.ftp.IFTPShell...`
`str` | `clientwd` = `'/'`
`NoneType` | `filepath` = None
`NoneType` | `gid` = None
`NoneType` | `uid` = None

Method Details

### __init__(self, user=None, tld=None)
(Constructor)

Constructor

  Parameters:
    `user` - the name of the user whose permissions we'll be using
    (type=string)
  Overrides:
    `__builtin__.object.__init__`

### getUnixLongListString(self, spath)

generates the equivalent output of a unix ls -l path, but using python-native code.

  Attention: this has only been tested on posix systems, I don't know at this point whether or not it will work on win32

### getUserUIDAndGID(self)

used to set up permissions checking. finds the uid and gid of the shell.user. called during __init__

### myjoin(self, lpath, rpath)

does a dumb join between two path elements, ensuring there is only one '/' between them. pays no attention to the filesystem, unlike os.path.join

  Parameters:
    `lpath` - path element to the left of the '/' in the result
    (type=string)
    `rpath` - path element to the right of the '/' in the result
    (type=string)

### size(self, path)

returns the size in bytes of path

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.ftp.IFTPShell at 0x87e5554>,)

### clientwd

  Type:
    `str`
  Value:

        '/'

### filepath

  Type:
    `NoneType`
  Value:

        None

### gid

  Type:
    `NoneType`
  Value:

        None

### uid

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net